/* The MazezaM Engine 
 * Copyright (C) 2002-2008 Malcolm Tyrrell
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package application;

import java.awt.Frame;
import javax.swing.*;

/**
 * A super class of the various used by the application.
 */
public abstract class ApplicationDialog
  extends JDialog {
	ApplicationDialog(Frame owner, String title, boolean modal)
	  {
	    super(owner,title,modal);
	    addWindowListener(new DialogCloser(this));
	  }

	  abstract void cancel();
}
