/* The MazezaM Engine 
 * Copyright (C) 2002-2008 Malcolm Tyrrell
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package file;

import level.Unit;

/**
 * A version of Unit adjusted for parsing (ie deals with overlapped units)
 * FIXME: This turned out to be a bad design decision. I should separate the
 * characters used in levels from the unit representation.
 */
public class ParseUnit extends Unit {
	public static boolean charIsUnit(char c) {
		return Unit.charIsUnit(c) || (c == blockgoal) || (c == persongoal);
	}

	public static boolean charIsPersonUnit(char c) {
		return (c == person) || (c == persongoal);
	}

	public static boolean charIsBlockUnit(char c) {
		return (c == block) || (c == blockgoal);
	}

	public static boolean charIsGoalUnit(char c) {
		return (c == goal) || (c == persongoal) || (c == blockgoal);
	}
}
